Bug 381961 - No option to attach to a network audio stream
No option to attach to a network audio stream
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 04:39 EST by Brian G. Anderson
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 19:56:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2007-11-14 04:39:15 EST
Description of problem:
I've installed every package of pulse audio I can find including the zero conf
module.  I used the pulseaudio preferences to enable local network access, allow
other machines to browse, and don't require authentication.  I've done this for
my laptop and my desktop machines.

When the laptop connects to the network, the padevchooser applet properly
reports that the sound server for each machine is available.  So, for example,
on the laptop the sound server for the desktop machine appears in the server,
sink and source menus.

According to a demo on the pulseaudio site I should be able to select an "make
network sound servers available locally" radio button on the same screen as
where I allowed networked access to the server.  When I do this then I should be
able to use the pavucontrol application to move an audio stream to a network
server.  However,  this selection doesn't exist in fedora's version of the
pulseaudio setup tool, and the networked sound server doesn't appear as an
option in pavucontrol's move stream menu.



Version-Release number of selected component (if applicable):
pulseaudio-utils-0.9.7-0.17.svn20071017.fc8
pulseaudio-libs-glib2-0.9.7-0.17.svn20071017.fc8
pulseaudio-module-gconf-0.9.7-0.17.svn20071017.fc8
pulseaudio-libs-0.9.7-0.17.svn20071017.fc8
pulseaudio-core-libs-0.9.7-0.17.svn20071017.fc8
padevchooser-0.9.4-0.3.svn20070925.fc8
pavucontrol-0.9.5-0.4.svn20070925.fc8
pavumeter-0.9.3-0.2.svn20070925.fc8
paman-0.9.4-0.1.svn20070816.fc8
paprefs-0.9.6-0.2.svn20070925.fc8

pulseaudio-module-x11-0.9.7-0.17.svn20071017.fc8
pulseaudio-module-lirc-0.9.7-0.17.svn20071017.fc8
pulseaudio-0.9.7-0.17.svn20071017.fc8
pulseaudio-esound-compat-0.9.7-0.17.svn20071017.fc8
pulseaudio-module-zeroconf-0.9.7-0.17.svn20071017.fc8
pulseaudio-libs-zeroconf-0.9.7-0.17.svn20071017.fc8


How reproducible:
always

Steps to Reproduce:
1. setup a networked sound servier in PA
2. try and use another machine to move a stream to the networked sound sink
3.
  
Actual results:
Even though the PA tools on the client machine are aware of the networked sound
server, there doesn't seem to be a way to move a stream to it.

Expected results:
pavucontrol allows a stream to be moved to a networked sound server

Additional info:
Comment 1 Lennart Poettering 2007-11-29 19:56:29 EST
This is only available in PA 0.9.8 and newer, which is available in Rawhide. I
will push a version into F8 eventually when it has stabilized a bit.

Note You need to log in before you can comment on or make changes to this bug.